import {
	req
} from '@/common/js/index.js';

// 常用医嘱列表
export function getDiagnoseCommonList(data) {
	return req.request({
		url: 'diagnose/common',
		method: 'POST',
		data
	})
}
// 添加常用医嘱
export function addDiagnoseCommon(data) {
	return req.request({
		url: 'diagnose/add',
		method: 'POST',
		data
	})
}
// 删除常用医嘱
export function deleteDiagnoseCommon(data) {
	return req.request({
		url: 'diagnose/delete',
		method: 'POST',
		data
	})
}

// 验证码登录
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
   role 是 int 角色 1医生2药师3导医4客服
   mobile 是 string	手机号
   password 是 string 密码
   password_repeat 是 string 确认密码
 */
export function register(data) {
	return req.request({
		url: 'user/send-code',
		method: 'post',
		data
	})
}

// 重新申请注册医生 v1/user/fail-register
export function failNew(data) {
	return req.request({
		url: 'user/fail-register',
		method: 'get',
		data
	})
}

//获取用户信息
export function getUserInfo(data) {
	return req.request({
		url: 'user/info',
		method: 'post',
		data
	})
}
//判断角色
export function Checkrole(data) {
	return req.request({
		url: 'user/role',
		method: 'post',
		data
	})
}

// 登录/注册
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
   mobile 是 string	手机号
   password 是 string 密码
 */
export function loginOrRe(data) {
	return req.request({
		url: 'user/user-login',
		method: 'post',
		data
	})
}
//上传头像
export function upload(data) {
	return req.request({
		url: 'attachment/upload',
		method: 'post',
		data
	})
}

// 编辑资料
export function toUpload(data) {
	return req.request({
		url: 'doctor-work/edit-info',
		method: 'post',
		data
	})
}

// 药师 编辑资料
export function toUploaded(data) {
	return req.request({
		url: 'pharmacist/edit-info',
		method: 'post',
		data
	})
}

// 身份验证   https://app.xiaokang88.com/service/v1/user/check-idcard
export function newChek(data) {
	return req.request({
		url: 'user/check-idcard',
		method: 'post',
		data
	})
}


// 退出登录
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function logout(data) {
	return req.request({
		url: 'user/logout',
		method: 'get',
		data
	})
}

// 医生 收入
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorIncome(data) {
	return req.request({
		url: 'doctor-work/income-detail',
		method: 'post',
		data
	})
}

// 医生 挂号收益统计
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorRegister(data) {
	return req.request({
		url: 'register/price',
		method: 'post',
		data
	})
}

// 医生-完善基本信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorStepOne(data) {
	return req.request({
		url: 'complete/doctor-step-one',
		method: 'post',
		data
	})
}

// 医生-完善认证信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorStepTwo(data) {
	return req.request({
		url: 'complete/doctor-step-two',
		method: 'post',
		data
	})
}

// 医生-完善执业信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorStepThree(data) {
	return req.request({
		url: 'complete/doctor-step-three',
		method: 'post',
		data
	})
}

// 药师-完善执业信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function drugStepThree(data) {
	return req.request({
		url: 'complete/drug-step-three',
		method: 'post',
		data
	})
}

// // 导医-完善信息详情
// /**
//  * @param {Object} data
//  * 参数名称 必须 参数类型 说明
//  */
// export function leadInfo() {
// 	return req.request({
// 		url: 'complete/lead-info',
// 		method: 'post',
// 		data
// 	})
// }

// 医生-完善服务信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorStepFour(data) {
	return req.request({
		url: 'complete/doctor-step-four',
		method: 'post',
		data
	})
}

// 医生-完善服务信息-个人中心设置
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorInfoSet(data) {
	return req.request({
		url: 'complete/doctor-service',
		method: 'post',
		data
	})
}

// 药师-完善信息详情
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function drugInfo(data) {
	return req.request({
		url: 'complete/drug-info',
		method: 'post',
		data
	})
}

// 药师-完善基础信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function drugStepOne(data) {
	return req.request({
		url: 'complete/drug-step-one',
		method: 'post',
		data
	})
}


// 药师-完善认证信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function drugStepTwo(data) {
	return req.request({
		url: 'complete/drug-step-two',
		method: 'post',
		data
	})
}

// 中药 先下-后下
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function getUseWay(data) {
	return req.request({
		url: 'examine/use-way',
		method: 'post',
		data
	})
}

// // 导医-完善信息
// /**
//  * @param {Object} data
//  * 参数名称 必须 参数类型 说明
//  */
// export function leader(data) {
// 	return req.request({
// 		url: 'complete/leader',
// 		method: 'post',
// 		data
// 	})
// }

// 药师-个人资料接口
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function personalData(data) {
	return req.request({
		url: 'pharmacist/personal-data',
		method: 'post',
		data
	})
}

//   编辑资料
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function infoEdit(data) {
	return req.request({
		url: 'user/update-user-info',
		method: 'post',
		data
	})
}


// 门店列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function hospitalList(data) {
	return req.request({
		url: 'store/all-list',
		method: 'post',
		data
	})
}

// 医生属于门店列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function currentList(data) {
	return req.request({
		url: 'store/store-list',
		method: 'post',
		data
	})
}

// 门店  切换门店
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function chooseList(data) {
	return req.request({
		url: 'store/store-change',
		method: 'post',
		data
	})
}



//  添加常用诊断  http://xiaokang.com/service/v1/prescription/add-disease-common
export function addDiseaseCommon(data) {
	return req.request({
		url: 'prescription/add-disease-common',
		method: 'POST',
		data
	})
}
//  删除常用诊断  http://xiaokang.com/service/v1/prescription/del-disease-common
export function delDiseaseCommon(data) {
	return req.request({
		url: 'prescription/del-disease-common',
		method: 'POST',
		data
	})
}

//  常用诊断   http://xiaokang.com/service/v1/prescription/disease-common?store_id=11001
export function getDiseaseCommon(data) {
	return req.request({
		url: 'prescription/disease-common',
		method: 'get',
		data
	})
}

//  搜索常用诊断  http://xiaokang.com/service/v1/prescription/search-disease?name=皮&store_id=11001

// 搜索疾病
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function searchDisease(data) {
	return req.request({
		url: 'prescription/search-disease',
		method: 'get',
		data
	})
}


// 职称列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function professionalList(data) {
	return req.request({
		url: 'store/title-list',
		method: 'get',
		data
		// data
	})
}


// 中西列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorTypeList(data) {
	return req.request({
		url: 'complete/identity',
		method: 'get',
		data
		// data
	})
}

// 中药西药
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function drugTypeList(data) {
	return req.request({
		url: 'complete/drug-identity',
		method: 'get',
		data
		// data
	})
}

// 科室列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function officeList(data) {
	return req.request({
		url: 'store/depart-list',
		method: 'post',
		data
	})
}

//  获取颗粒药商品列表
export function granularList(data) {
	return req.request({
		url: 'prescription/granular-list',
		method: 'POST',
		data
	})
}


// 添加西药-全部西药列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function westList(data) {
	return req.request({
		url: 'prescription/west-list',
		method: 'post',
		data
	})
}

// 药的使用时间
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function useTime(data) {
	return req.request({
		url: 'prescription/use-time',
		method: 'post',
		data
	})
}

// 药的使用方式
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function useType(data) {
	return req.request({
		url: 'prescription/use-type',
		method: 'post',
		data
	})
}

// 药的使用频率
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function useFre(data) {
	return req.request({
		url: 'prescription/use-fre',
		method: 'post',
		data
	})
}

// 添加西药-常用西药列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function westCommon(data) {
	return req.request({
		url: 'prescription/west-common',
		method: 'post',
		data
	})
}

// 常用中药列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function chineseCommon(data) {
	return req.request({
		url: 'prescription/chinese-common',
		method: 'post',
		data
	})
}

// 中药列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function chineseList(data) {
	return req.request({
		url: 'prescription/chinese-list',
		method: 'post',
		data
	})
}

// 搜索中药
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function searchChinese(data) {
	return req.request({
		url: 'prescription/search-chinese',
		method: 'post',
		data
	})
}

// 搜索西药
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function searchWest(data) {
	return req.request({
		url: 'prescription/search-west',
		method: 'post',
		data
	})
}

// 添加西药药方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function addWest(data) {
	return req.request({
		url: 'prescription/add-west',
		method: 'post',
		data
	})
}

// 添加西药处方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function addPrescriptionWest(data) {
	return req.request({
		url: 'prescription/add-prescription-west',
		method: 'post',
		data
	})
}
// drugCheck
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function drugCheck(data) {
	return req.request({
		url: 'prescription/drug-check',
		method: 'post',
		data
	})
}

// 一次添加一个中药
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function addOneChinese(data) {
	return req.request({
		url: 'prescription/add-one-chinese',
		method: 'post',
		data
	})
}

// 添加中药药方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function addRecipe(data) {
	return req.request({
		url: 'prescription/add-recipe',
		method: 'post',
		data
	})
}

// 开中药处方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function addPrescription(data) {
	return req.request({
		url: 'prescription/add-prescription',
		method: 'post',
		data
	})
}

// 查看中药处方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function seeChinesePrescrip(data) {
	return req.request({
		url: 'examine/see-chinese-prescrip',
		method: 'post',
		data
	})
}

// 查看西药处方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function seeWestPrescrip(data) {
	return req.request({
		url: 'examine/see-west-prescrip',
		method: 'post',
		data
	})
}

// 药师待审核
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function tobeReviewed(data) {
	return req.request({
		url: 'examine/tobe-reviewed',
		method: 'post',
		data
	})
}

// 药师已通过
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function passed(data) {
	return req.request({
		url: 'examine/passed',
		method: 'post',
		data
	})
}

// 药师未通过
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function unPassed(data) {
	return req.request({
		url: 'examine/un-passed',
		method: 'post',
		data
	})
}



// 西药单位
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function westUnit(data) {
	return req.request({
		url: 'prescription/west-unit',
		method: 'post',
		data
	})
}

// 中药用量列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function useNum(data) {
	return req.request({
		url: 'prescription/use-num',
		method: 'post',
		data
	})
}

// 中药剂数列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function dosage(data) {
	return req.request({
		url: 'prescription/dosage',
		method: 'post',
		data
	})
}

// 修改药方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function changeWest(data) {
	return req.request({
		url: 'recipe/change-west',
		method: 'POST',
		data
	})
}

// 修改中药药方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function changeChinese(data) {
	return req.request({
		url: 'recipe/change-chinese',
		method: 'POST',
		data
	})
}

// 西药收藏
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function westCollection(data) {
	return req.request({
		url: 'prescription/west-collection',
		method: 'get',
		data
	})
}

// 西药取消收藏
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function westUncollect(data) {
	return req.request({
		url: 'prescription/west-uncollect',
		method: 'get',
		data
	})
}

// 基本信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function info(data) {
	return req.request({
		url: 'doctor-work/info',
		method: 'post',
		data
	})
}

// 西药处方初审
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function firstWest(data) {
	return req.request({
		url: 'examine/first-west',
		method: 'post',
		data
	})
}

//  药师 审核处方 http://xiaokang.com/service/v1/examine/verify
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function getPassed(data) {
	return req.request({
		url: 'examine/verify',
		method: 'post',
		data
	})
}


// 处方溯源 http://xiaokang.com/service/v1/examine/source?prescription_no=ZY8181791680594661
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function source(data) {
	return req.request({
		url: 'examine/source',
		method: 'get',
		data
	})
}

// 药师-我的  http://xiaokang.com/service/v1/pharmacist/my
// 药师-我的资料  http://xiaokang.com/service/v1/pharmacist/personal-data
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function my(data) {
	return req.request({
		url: 'pharmacist/personal-data',
		method: 'post',
		data
	})
}


// 西药处方初审拒绝
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function firstWestRefuse(data) {
	return req.request({
		url: 'examine/first-west-refuse',
		method: 'GET',
		data
	})
}

// 西药处方拒绝
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function westRefuse(data) {
	return req.request({
		url: 'examine/west-refuse',
		method: 'GET',
		data
	})
}

// 中药处方初审拒绝
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function firstChinRefuse(data) {
	return req.request({
		url: 'examine/first-chin-refuse',
		method: 'GET',
		data
	})
}

// 中药处方拒绝
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function chinRefuse(data) {
	return req.request({
		url: 'examine/chinese-refuse',
		method: 'GET',
		data
	})
}

// 就诊记录列表-药师
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function recordList(data) {
	return req.request({
		url: 'patient/record-list',
		method: 'post',
		data
	})
}
// 就诊记录列表2
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function recordListByDoctor(data) {
	return req.request({
		url: 'patient/record-list-by-doctor',
		method: 'post',
		data
	})
}

//  医生 处方记录列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function prescripDetailList(data) {
	return req.request({
		url: 'prescrip-detail/list',
		method: 'post',
		data
	})
}

// 药师 处方列表 prescripRecord  http://xiaokang.com/service/v1/examine/list?status=0&store_id=11001
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function prescripRecord(data) {
	return req.request({
		url: 'examine/list',
		method: 'get',
		data
	})
}

// 药师 处方列表 prescripRecord  http://xiaokang.com/service/v1/examine/list?status=0&store_id=11001
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function prescripRecordByDoctor(data) {
	return req.request({
		url: 'examine/list-by-doctor',
		method: 'get',
		data
	})
}

// 药师 处方详情 http://xiaokang.com/service/v1/examine/detail?prescription_no=ZY8181791680594661
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function prescripRecordDetail(data) {
	return req.request({
		url: 'examine/detail',
		method: 'get',
		data
	})
}

// 基础健康信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function baseInfo(data) {
	return req.request({
		url: 'patient/base-info',
		method: 'post',
		data
	})
}

// 患者基本信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function patientInfo(data) {
	return req.request({
		url: 'patient/patient-info',
		method: 'post',
		data
	})
}

// 开处方-中药常用方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function saveChinCommon(data) {
	return req.request({
		url: 'prescrip-detail/save-chin-common',
		method: 'post',
		data
	})
}

// 开处方-西药常用方  http://xiaokang.com/service/v1/prescrip-detail/save-west-common
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function saveWestCommon(data) {
	return req.request({
		url: 'prescrip-detail/save-west-common',
		method: 'post',
		data
	})
}

// 开处方-常用方
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function commonUse(data) {
	return req.request({
		url: 'prescrip-detail/common-use',
		method: 'post',
		data
	})
}

// 开处方-常用方  删除   http://xiaokang.com/service/v1/prescrip-detail/delete-common
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function deleteCommon(data) {
	return req.request({
		url: 'prescrip-detail/delete-common',
		method: 'post',
		data
	})
}

// 开处方-常用方详情（西药）
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function commonWest(data) {
	return req.request({
		url: 'prescrip-detail/common-west',
		method: 'post',
		data
	})
}

// 开处方-常用方详情(中药)
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function commonChinese(data) {
	return req.request({
		url: 'prescrip-detail/common-chinese',
		method: 'post',
		data
	})
}

//  添加一种颗粒药
export function addOneGranular(data) {
	return req.request({
		url: 'prescription/add-one-granular',
		method: 'POST',
		data
	})
}

//  添加颗粒药药方
export function addGranularRecipe(data) {
	return req.request({
		url: 'prescription/add-granular-recipe',
		method: 'POST',
		data
	})
}
//  开颗粒药处方  prescription/add-granular-prescription
export function addGranularPrescription(data) {
	return req.request({
		url: 'prescription/add-prescription-granular',
		method: 'POST',
		data
	})
}

//  颗粒药常用方
export function saveGranularCommon(data) {
	return req.request({
		url: 'prescrip-detail/save-granular-common',
		method: 'POST',
		data
	})
}

//  修改颗粒药常用方
export function changeGranular(data) {
	return req.request({
		url: 'recipe/change-granular',
		method: 'POST',
		data
	})
}

// 查看所有标签
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function seeIllTag(data) {
	return req.request({
		url: 'tag-manage/see-ill-tag',
		method: 'get',
		data
	})
}
export function getNotice(data) {
	return req.request({
		url: 'system-notice/online-prescription',
		method: 'get',
		data
	})
}


// 查询停诊公告
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function queryNotice(data) {
	return req.request({
		url: 'doctor-notice/query-notice',
		method: 'post',
		data
	})
}

// 添加(开启)或修改停诊公告
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function saveClose(data) {
	return req.request({
		url: 'doctor-notice/save-close',
		method: 'post',
		data
	})
}

// 医生首页消息会话列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function docSessionList(data) {
	return req.request({
		url: 'im/session-list',
		method: 'post',
		data
	})
}

// 读取消息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function readMsg(data) {
	return req.request({
		url: 'image-order/read-msg',
		method: 'post',
		data
	})
}
// 协议
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function agreement(data) {
	return req.request({
		url: 'user/agreement',
		method: 'post',
		data
	})
}
// 我的评价(医生端)
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorWorkComments(data) {
	return req.request({
		url: 'doctor-work/comments',
		method: 'post',
		data
	})
}


// 修改密码
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function updatePassword(data) {
	return req.request({
		url: 'user/update-password',
		method: 'post',
		data
	})
}

// 文章列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorArticleList(data) {
	return req.request({
		url: 'doctor-article/list',
		method: 'post',
		data
	})
}
// 草稿列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorArticleMyDraft(data) {
	return req.request({
		url: 'doctor-article/my-draft',
		method: 'post',
		data
	})
}
// 文章删除
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorArticleMyDel(data) {
	return req.request({
		url: 'doctor-article/del',
		method: 'get',
		data
	})
}
// 我的评价基础信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function commentMain(data) {
	return req.request({
		url: 'doctor-work/comment-main',
		method: 'POST',
		data
	})
}


// 文章详情
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorArticleInfo(data) {
	return req.request({
		url: 'doctor-article/info',
		method: 'POST',
		data
	})
}
// 忘记密码
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function resetPassword(data) {
	return req.request({
		url: 'user/reset-password',
		method: 'POST',
		data
	})
}

// 发送短信
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function mobileSend(data) {
	return req.request({
		url: 'user/mobile-send',
		method: 'POST',
		data
	})
}

// 添加标签
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function saveIllTag(data) {
	return req.request({
		url: 'tag-manage/save-ill-tag',
		method: 'POST',
		data
	})
}

// 首页消息  http://xiaokang.com/service/v1/system-notice/index?store_id=11001
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function homeSession(data) {
	return req.request({
		url: 'system-notice/index',
		method: 'get',
		data
	})
}

//  系统消息 http://xiaokang.com/service/v1/system-notice/system?store_id=11001
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function homeSessionSystem(data) {
	return req.request({
		url: 'system-notice/system',
		method: 'get',
		data
	})
}

// 评论消息 http://xiaokang.com/service/v1/system-notice/comment?store_id=11001
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function homeSessionComment(data) {
	return req.request({
		url: 'system-notice/comment',
		method: 'get',
		data
	})
}

// 患者消息  http://xiaokang.com/service/v1/system-notice/patient?store_id=11001
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function homeSessionPeople(data) {
	return req.request({
		url: 'system-notice/patient',
		method: 'get',
		data
	})
}

export function getRuleList(data) {
	return req.request({
		url: 'prescription/process-rule-list',
		method: 'get',
		data
	})
}

export function getRuleReark(data) {
	return req.request({
		url: 'prescription/process-note-list',
		method: 'get',
		data
	})
}

// 已读 http://xiaokang.com/service/v1/system-notice/read
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function homeReaed(data) {
	return req.request({
		url: 'system-notice/read',
		method: 'post',
		data
	})
}

/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function noticeApi(data) {
	return req.request({
		url: 'system-notice/lists',
		method: 'POST',
		data
	})
}

// 患者列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function getPatientListApi(data) {
	return req.request({
		url: 'patient/patient-list',
		method: 'POST',
		data
	})
}



// 视频问诊-UserSig
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function getKey(data) {
	return req.request({
		url: 'order-video/get-key',
		method: 'POST',
		data
	})
}

// 视频通话上报
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function videoSign(data) {
	return req.request({
		url: 'order-video/video-sign',
		method: 'POST',
		data
	})
}

// 视频基础信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function videoInfo(data) {
	return req.request({
		url: 'order-video/video-info',
		method: 'POST',
		data
	})
}

// 添加就诊人
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function saveTagPatient(data) {
	return req.request({
		url: 'tag-manage/tag-save-patient',
		method: 'POST',
		data
	})
}
// 删除就诊人
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function delTagPatient(data) {
	return req.request({
		url: 'tag-manage/tag-del-patient',
		method: 'POST',
		data
	})
}

// 群发信息   /v1/patient/send-news
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function sendDoctor(data) {
	return req.request({
		url: 'patient/send-news',
		method: 'POST',
		data
	})
}

// 医生列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function doctorLists(data) {
	return req.request({
		url: 'leader/doctor-lists',
		method: 'POST',
		data
	})
}

// 结束会话
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function overSession(data) {
	return req.request({
		url: 'im/over-session',
		method: 'POST',
		data
	})
}

// 用户信息
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function userInfo(data) {
	return req.request({
		url: 'doctor-work/info',
		method: 'POST',
		data
	})
}
// 快捷回复-模版列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function templateLists(data) {
	return req.request({
		url: 'quick/template-lists',
		method: 'POST',
		data
	})
}

//快捷回复-模版新增/修改
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function templateSave(data) {
	return req.request({
		url: 'quick/template-save',
		method: 'POST',
		data
	})
}
//快捷回复-模版删除
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function templateDelete(data) {
	return req.request({
		url: 'quick/template-delete',
		method: 'POST',
		data
	})
}

//快捷回复-分组新增/修改
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function groupSave(data) {
	return req.request({
		url: 'quick/group-save',
		method: 'POST',
		data
	})
}
//快捷回复-分组列表
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function groupLists(data) {
	return req.request({
		url: 'quick/group-lists',
		method: 'POST',
		data
	})
}

//快捷回复-分组删除
/**
 * @param {Object} data
 * 参数名称 必须 参数类型 说明
 */
export function groupDelete(data) {
	return req.request({
		url: 'quick/group-delete',
		method: 'POST',
		data
	})
}
export function orderOver(data) {
	return req.request({
		url: 'image-order/order-over',
		method: 'POST',
		data
	})
}

export function getTagUserApi(data) {
	return req.request({
		url: 'tag-manage/list',
		method: 'POST',
		data
	})
}

//  我的  处方详情
export function prescripDetail(data) {
	return req.request({
		url: 'prescrip-detail/detail',
		method: 'POST',
		data
	})
}

//  签名
export function identity(data) {
	return req.request({
		url: 'pharmacist/identity',
		method: 'POST',
		data
	})
}

export function syncDoctor(data) {
	return req.request({
		url: 'complete/sync-doctor',
		method: 'POST',
		data
	})
}
export function rotationApi(data) {
	return req.request({
		url: 'system-notice/rotation',
		method: 'POST',
		data
	})
}

